package tutorialJava.capitulo5.ejercicios.bloque03_clasesYMetodosAbstractos.vehiculos;

abstract class Vehiculo {
    protected int velocidadActual;
    protected String modelo;

    public Vehiculo(String modelo) {
        this.modelo = modelo;
        this.velocidadActual = 0; // La velocidad inicial es 0
    }

    // Métodos abstractos
    public abstract void acelerar();
    public abstract void frenar();

    public int getVelocidadActual() {
        return velocidadActual;
    }

    public String getModelo() {
        return modelo;
    }

	public void setVelocidadActual(int velocidadActual) {
		this.velocidadActual = velocidadActual;
	}

	public void setModelo(String modelo) {
		this.modelo = modelo;
	}

	@Override
	public String toString() {
		return "Vehiculo [velocidadActual=" + velocidadActual + ", modelo=" + modelo + "]";
	}
    
    
}